LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 05-21-2004, 03:52 AM   #1
vasudevadas
Member
 
Registered: Jul 2003
Location: Bedford, UK
Distribution: Slackware 11.0, LFS 6.1
Posts: 519

Rep: Reputation: 30
ATI proprietary video drivers and 2.6 kernel


Hi,

I am assembling the parts to build a new PC, and I have bought an ATI Radeon 9800SE video card. The linux driver FAQ list on ATI's site www.ati.com says that the proprietary ATI drivers do not work for 2.6 kernels and that development is in progress. However, elsewhere* I read information that seems to suggest that versions of the ATI drivers >3.7.0 are OK. So I am a little confused. Should I install Mdk9.1 on my new machine once it is built so I have a 2.4 kernel and therefore 3d acceleration will work, or should I go ahead and install Mdk10.0 with a 2.6 kernel? Is the information in the ATI FAQ simply out of date? Anybody successfully using the ATI drivers on a 2.6 kernel who can confirm this for me?

Many thanks.

* http://www.rage3d.com/content/articles/atilinuxhowto/
 
Old 05-21-2004, 08:00 AM   #2
Hammett
Senior Member
 
Registered: Aug 2003
Location: Barcelona, Catalunya
Distribution: Gentoo
Posts: 1,037

Rep: Reputation: 54
AFAIK, there's a patch for 2.6 kernels for ATi's drivers on the net.
 
Old 05-22-2004, 08:43 PM   #3
Brian Puccio
LQ Newbie
 
Registered: May 2004
Posts: 5

Rep: Reputation: 0
I had no luck. I just installed Debian (was Windows) because I loved the package management so much. Followed those directions (as well as other howto's) and each time hosed X. I'm about ready to give up on linux and head back to windows to play quake.
 
Old 05-24-2004, 06:55 AM   #4
humaneasy
Member
 
Registered: Aug 2003
Location: Moita, Portugal
Distribution: Mandrake 9.2 / Mandrake 10.0
Posts: 37

Rep: Reputation: 15
Talking Where

Quote:
Originally posted by Hammett
AFAIK, there's a patch for 2.6 kernels for ATi's drivers on the net.
Where? I have MDK 10 and could make it work too.

Thanks,

Lopo
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI 9600Pro & ATI Proprietary Drivers problem Hyakutake Slackware 6 12-04-2005 10:08 AM
Improper GL surface creation in new ATI Proprietary Drivers, please help! theqabalist Linux - Software 1 09-18-2005 12:16 AM
FC3 ATI Proprietary Drivers tutorial M.Brice Fedora 1 03-16-2005 07:14 PM
installing ATI Proprietary drivers in Slacware 10 nickbird Slackware 5 11-25-2004 11:26 AM
ATI Proprietary Drivers 3.14 anomaly Keithjr Linux - Software 8 10-06-2004 11:22 PM


All times are GMT -5. The time now is 07:44 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration